org.omg.PortableServer

## Interface ServantLocator

- All Superinterfaces:
    IDLEntity, Object, Serializable, ServantLocatorOperations, ServantManager, ServantManagerOperations
  All Known Implementing Classes:
    _ServantLocatorStub

      public interface ServantLocator
      extends ServantLocatorOperations, ServantManager, IDLEntity

  When the POA has the NON_RETAIN policy it uses servant managers that are ServantLocators. Because the POA knows that the servant returned by this servant manager will be used only for a single request, it can supply extra information to the servant manager's operations and the servant manager's pair of operations may be able to cooperate to do something different than a ServantActivator. When the POA uses the ServantLocator interface, immediately after performing the operation invocation on the servant returned by preinvoke, the POA will invoke postinvoke on the servant manager, passing the ObjectId value and the Servant value as parameters (among others). This feature may be used to force every request for objects associated with a POA to be mediated by the servant manager.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableServer.ServantLocatorOperations

      `postinvoke, preinvoke`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.